# ESAP


This is a repository for quickly having an instance of ESAP up & running. Batteries included.


## Quickstart

Requirements:
    
    Bash and Docker.


Setup

    $ esap/setup


Build

    $ esap/build


Run

    $ esap/run


Play

    https://localhost


Clean

    $ esap/clean


### Extras

List all running services

    # esap/ps

Open a shell in a service

    # esap/shell api-gateway



### Building errors

It is common for the build process to fail with a "404 not found" error on an apt-get instrucions, as apt repositories often change their IP addresses. In such case, try:

    $ esap/build nocache


